<?php
session_start();

    include_once("../scripts/connect.php");

   $conexion=conecta_default();
   include_once("../scripts/session.php");

   //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	 header("Location: ../index.php?err=NoSesion");
    }/*no hay sesion*/
    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();
    }
    //fin validar session
  $conexion=conecta_default();

$elconca="";
$addguia=0;
$precio1=0;
$puntos1=0;
$ptossal=0;
$asigpt=0;
  // $id_dist =$_POST['dist'];
 
   $agrupa =$_POST['agrup'];

   
   echo"<center><br><br><font color=\"#000099\" size=\"+2\"><b>Pedido Agrupado No. $agrupa</b></font><bR><br><table border=1><tr><th>Pedido</th><th>transacci&oacute;n</th><th>cantidad</th><th>puntos</th><th>Nombre</th>
   <th>Rastreo</th><th>Paqueteria</th></tr>";

		
	$linea="SELECT transacciones.idtransacciones, usuarios_ci_idusuarios_ci, consec, cantidad, puntos, nombre, appat, apmat, rastreo, id_paq FROM pedido_agrupado join transacciones on transacciones.idtransacciones=pedido_agrupado.id_transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver left join guias on transacciones.idtransacciones=guias.idtransacciones where num_grupo='$agrupa' ";
	  $cal = mysqli_query($conexion, $linea) or die ('Error (Registro No Encontrado1): ' . mysqli_error($conexion));
  while($ral = mysqli_fetch_row($cal))
   {
	   if($ral[9]==1){$paq="Estafeta";}if($ral[9]==2){$paq="Castores";}
	   
	   
	   echo"<TR><td>$ral[1]-$ral[2]</td><td>$ral[0]</td><td>$ral[3]</td><td>$ral[4]</td><td>$ral[5] $ral[6] $ral[7]</td><td>$ral[8]</td><td>$paq</td></TR>";
	   
	
$elconca=$elconca." or pedido.transacciones_idtransacciones=$ral[0]";
if(isset($ral[8])){$addguia=1;}

	};
	echo"</table><br><br>Cantidad de producto en el pedido:<bR>";
   echo"<table border=1><th>Cantidad</th><th>Producto</th><th>ID</th>";

		
	$linea1="SELECT sum(cant) as cantidad, nombreProd, id_prod FROM pedido join productos on pedido.productos_idprod=productos.id_prod where pedido.transacciones_idtransacciones=1 $elconca group by id_prod";
	 $cal1 = mysqli_query($conexion, $linea1) or die ('Error (Registro No Encontrado1): ' . mysqli_error($conexion));
   while($ra = mysqli_fetch_row($cal1))
   {
	   echo"<TR><td>$ra[0]</td><td>$ra[1]</td><td>$ra[2]</td></TR>";
	   
	


	};
	echo"</table>";
   
/*   if($addguia==0){
	     $q2 = "SELECT * from paqueterias  WHERE 1 ";
  
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
    echo"<form name='f1' action='agrupado_guia.php' method='post'>	
 	<br><BR>Agregar N&uacute;mero de gu&iacute;a para todos los pedidos de esta agrupaci&oacute;n:<br>
 	 <select name = \"paq\">";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	 
    echo"<option value=\"$a0\">$a1</option>";
	}echo"</select>
<input type=hidden name=agrup value=$agrupa>
 	<input type='text' size='20' maxlength='20' name='guia' value='' \"><input type='submit' value='Agregar' ></form><br><br><br><br>";
	   
   }
 */

?>



